%define LANG cs
 
Summary: Czech Linux Manual Pages
Name: man-pages-%LANG
Version: 0.14
Release: 4mdk
License: Distributable
Group: System/Internationalization
URL: ftp://ftp.vslib.cz/pub/unix/linux/man-pages-cs/
Source:  ftp://ftp.muni.cz/pub/linux/people/petr_kolar/localization/man-pages-cs/man-pages-cs-%{version}.tar.bz2
Patch0: man-pages-cs-0.14-hyphen.patch.bz2
Icon: books-%LANG.xpm
Buildroot: %_tmppath/%name-root
BuildRequires: man => 1.5j-8mdk
Requires: locales-%LANG, man => 1.5j-8mdk
Prereq: sed grep man
Autoreqprov: false
BuildArchitectures: noarch
Obsoletes: man-%LANG, manpages-%LANG
Provides: man-%LANG, manpages-%LANG

%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP), translated to Czech.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, /etc/passwd,
                nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)


%prep
%setup -q -n man-pages-cs-%{version}
%patch0 -p1

%build
rm -f man1/man.1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_mandir/%LANG/
mkdir -p $RPM_BUILD_ROOT/var/catman/%LANG/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 6 7 8; do
	cp -adpvrf man$i $RPM_BUILD_ROOT/%_mandir/%LANG/
done

LANG=%LANG DESTDIR=$RPM_BUILD_ROOT /usr/sbin/makewhatis $RPM_BUILD_ROOT/%_mandir/%LANG

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LANG.cron << EOF
#!/bin/bash
LANG=%LANG /usr/sbin/makewhatis %_mandir/%LANG
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LANG.cron

mkdir -p  $RPM_BUILD_ROOT/var/cache/man/%LANG

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%LANG, if there isn't any man page
   ## directory /%_mandir/%LANG
   if [ ! -d %_mandir/%LANG ] ; then
       rm -rf /var/catman/%LANG
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,755)
%doc README* man-pages-*lsm CONTRIB
%defattr(0644,root,man,755)
%dir %_mandir/%LANG
%dir /var/cache/man/%LANG
%config(noreplace) /var/cache/man/%LANG/whatis
%_mandir/%LANG/man*
%attr(755,root,man)/var/catman/%LANG
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%LANG.cron

%changelog
* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.14-4mdk
- build release

* Wed May 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.14-3mdk
- use new man-pages-LG template
    - don't rebuild whatis on install since
      - we've already build in package
      - cron will rebuild it nightly and so add other package french man pages
    - adapt to new man-pages-LG template
    - requires man => 1.5j-8mdk for new man-pages framework
    - remove old makewhatis.%LANG since default makewhatis is now able to parse
      non english man pages
    - use new std makewhatis to build whatis in spec and in cron entry 
    - whatis db goes into /var/cache/man (so enable ro /usr)
    - standard {Build,}Requires/buildroot/prereq/arc/provides/obsoletes
    - default description
    - remove translations

* Thu Mar 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.14-2mdk
- prevent conflicts with man
- provides manpages-%%LANG
- don't overwrite crontab if user atered it
- fix permission on /usr/share/man/cs/*

* Sun Jul 01 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.14-1mdk
- upgrade from rawhide

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.12-10mdk
- Use %%_tmppath for BuildRoot

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-9mdk
- Big Move

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-8mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.12-7mdk
- spechelper, permissions, 

* Tue Mar 28 2000 Denis Havlik <denis@mandrakesoft.com> 0.12-6mdk
- convert to new group scheme
- convert books-cs.gif -> .xpm

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com> 0.12-5mdk
- moved makewhatis.%LANG from /usr/local/sbin to /usr/sbin

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Wed Jul  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Adapted the rpm package of Pavel Janik to Mandrake

